Namespace
Create namespace
Creates a new empty namespace
POST
/
api
/
v1
/
local
/
namespace
Create namespace
curl --request POST \
--url https://api.example.com/api/v1/local/namespace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"deleteOnLastSessionExit": true,
"annotations": {}
}
'import requests
url = "https://api.example.com/api/v1/local/namespace"
payload = {
"name": "<string>",
"deleteOnLastSessionExit": True,
"annotations": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', deleteOnLastSessionExit: true, annotations: {}})
};
fetch('https://api.example.com/api/v1/local/namespace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Namespace settings
The name of this namespace
If this is true the namespace will be deleted when the last session in this namespace closes. Note that this
does not guarantee that the namespace will never be empty, because namespaces can be created without sessionsShow child attributes
Show child attributes
Response
Success
⌘I
Create namespace
